function trvTimTab = travTimesTable_cnstV(v,nz,nx,dx,sx,sz)
% v, nz,nx,dx  1 x 1
% sx   1 x ns            --  source' grid positions
% sz   1 x 1   or 1 x ns  /
% trvTimTab  (nz*nx) x ns, travel time (s)  <-- modified
% Note: geophones can take the role of sources here.

ns = numel(sx);
if numel(sz)==1, sz = sz*ones(1,ns);  end
trvTimTab = zeros(nz*nx, ns);
dxv= dx/v;
[X,Z] = meshgrid((1:nx), (1:nz));
for is = 1:ns
  trvTimTab(:,is) = dxv * sqrt( (Z(:) - sz(is)).^2 + (X(:) - sx(is)).^2 );
end
return
%===========
trvTimTab = travTimesTable_cnstV(1e3,100,200,1, 50, 1);
imagesc(reshape(trvTimTab,[100,200]))
